Bug 887521 - [abrt] qemu-system-x86-1.2.0-24.fc18: getnameinfo: Process /usr/bin/qemu-system-i386 was killed by signal 11 (SIGSEGV)
[abrt] qemu-system-x86-1.2.0-24.fc18: getnameinfo: Process /usr/bin/qemu-syst...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: spice (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
abrt_hash:25fb9eaf281a29be8fd53606e14...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-15 17:18 EST by rmpx
Modified: 2013-01-11 18:20 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-11 18:20:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (40.54 KB, text/plain)
2012-12-15 17:18 EST, rmpx
no flags Details
File: cgroup (128 bytes, text/plain)
2012-12-15 17:18 EST, rmpx
no flags Details
File: core_backtrace (532 bytes, text/plain)
2012-12-15 17:18 EST, rmpx
no flags Details
File: dso_list (7.16 KB, text/plain)
2012-12-15 17:18 EST, rmpx
no flags Details
File: environ (189 bytes, text/plain)
2012-12-15 17:18 EST, rmpx
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-15 17:18 EST, rmpx
no flags Details
File: maps (35.69 KB, text/plain)
2012-12-15 17:18 EST, rmpx
no flags Details
File: open_fds (503 bytes, text/plain)
2012-12-15 17:18 EST, rmpx
no flags Details
File: proc_pid_status (924 bytes, text/plain)
2012-12-15 17:18 EST, rmpx
no flags Details

  None (edit)
Description rmpx 2012-12-15 17:18:15 EST
Version-Release number of selected component:
qemu-system-x86-1.2.0-24.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/bin/qemu-system-i386 -name sr0 -S -M pc-1.2 -cpu core2duo,+lahf_lm,+rdtscp,+popcnt,+sse4.2,+sse4.1,+pdcm,+xtpr,+cx16,+tm2,+est,+vmx,+ds_cpl,+dtes64,+pbe,+tm,+ht,+ss,+acpi,+ds -no-kvm -m 500 -smp 4,sockets=1,cores=2,threads=2 -uuid 07013a69-3d40-185c-da0a-52467c18a99c -no-user-config -nodefaults -chardev socket,id=charmonitor,path=/home/ruben/.config/libvirt/qemu/lib/sr0.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=utc,driftfix=slew -no-kvm-pit-reinjection -no-reboot -no-shutdown -device ich9-usb-ehci1,id=usb,bus=pci.0,addr=0x5.0x7 -device ich9-usb-uhci1,masterbus=usb.0,firstport=0,bus=pci.0,multifunction=on,addr=0x5 -device ich9-usb-uhci2,masterbus=usb.0,firstport=2,bus=pci.0,addr=0x5.0x1 -device ich9-usb-uhci3,masterbus=usb.0,firstport=4,bus=pci.0,addr=0x5.0x2 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x6 -drive file=/home/ruben/.local/share/gnome-boxes/images/sr0,if=none,id=drive-ide0-0-0,format=qcow2,cache=none -device ide-hd,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0,bootindex=2 -drive file=/dev/sr0,if=none,id=drive-ide0-1-0,readonly=on,format=raw -device ide-cd,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0,bootindex=1 -netdev user,id=hostnet0 -device rtl8139,netdev=hostnet0,id=net0,mac=52:54:00:e8:05:ec,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -chardev spicevmc,id=charchannel0,name=vdagent -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=charchannel0,id=channel0,name=com.redhat.spice.0 -device usb-tablet,id=input0 -spice port=5900,addr=127.0.0.1,disable-ticketing -vga qxl -global qxl-vga.vram_size=67108864 -device AC97,id=sound0,bus=pci.0,addr=0x4 -chardev spicevmc,id=charredir0,name=usbredir -device usb-redir,chardev=charredir0,id=redir0 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x7
crash_function: getnameinfo
executable:     /usr/bin/qemu-system-i386
kernel:         3.6.10-5.fc18.x86_64
remote_result:  NOTFOUND
uid:            1000
var_log_messages: Dec 15 14:12:34 localhost abrt[2094]: Saved core dump of pid 2093 (/usr/bin/qemu-system-i386) to /var/spool/abrt/ccpp-2012-12-15-14:12:34-2093 (127774720 bytes)

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 getnameinfo at getnameinfo.c:184
 #1 reds_init_socket at reds.c:3131
 #2 reds_init_net at reds.c:3170
 #3 do_spice_init at reds.c:4011
 #4 spice_server_init at reds.c:4060
 #5 qemu_spice_init at ui/spice-core.c:697
Comment 1 rmpx 2012-12-15 17:18:21 EST
Created attachment 664167 [details]
File: backtrace
Comment 2 rmpx 2012-12-15 17:18:23 EST
Created attachment 664168 [details]
File: cgroup
Comment 3 rmpx 2012-12-15 17:18:26 EST
Created attachment 664169 [details]
File: core_backtrace
Comment 4 rmpx 2012-12-15 17:18:28 EST
Created attachment 664170 [details]
File: dso_list
Comment 5 rmpx 2012-12-15 17:18:31 EST
Created attachment 664171 [details]
File: environ
Comment 6 rmpx 2012-12-15 17:18:33 EST
Created attachment 664172 [details]
File: limits
Comment 7 rmpx 2012-12-15 17:18:38 EST
Created attachment 664173 [details]
File: maps
Comment 8 rmpx 2012-12-15 17:18:40 EST
Created attachment 664174 [details]
File: open_fds
Comment 9 rmpx 2012-12-15 17:18:42 EST
Created attachment 664175 [details]
File: proc_pid_status
Comment 10 Hans de Goede 2012-12-19 05:01:36 EST
Hi,

Can you reproduce this?

And can you please attach libvirt's qemu log, which you can find under:
/var/log/libvirt/qemu/<vmname>.log

Thanks,

Hans
Comment 11 Christophe Fergeau 2012-12-19 05:21:36 EST
This is very similar to the crash I was getting with
/usr/bin/qemu-kvm -spice addr=invalidhost,port=6900
and which is fixed by http://cgit.freedesktop.org/spice/spice/commit/?id=5a31221252b6fe55189348d9433813c5f88f0c78
Not sure why this would happen with 127.0.0.1 though.
Comment 12 Hans de Goede 2012-12-19 05:25:19 EST
(In reply to comment #11)
> This is very similar to the crash I was getting with
> /usr/bin/qemu-kvm -spice addr=invalidhost,port=6900
> and which is fixed by
> http://cgit.freedesktop.org/spice/spice/commit/
> ?id=5a31221252b6fe55189348d9433813c5f88f0c78
> Not sure why this would happen with 127.0.0.1 though.

Yes I think this is the same issue, which is why I asked for the log, if it is the same issue we should see the
spice_warning("getaddrinfo(%s,%s): %s", addr, port, gai_strerror(rc));

Warning message in the log.
Comment 13 Hans de Goede 2012-12-20 15:21:12 EST
I'm currently building 0.12.2 for F-18, which includes the fix mentioned in comment #11, which should fix this.
Comment 14 Fedora Update System 2012-12-20 16:05:35 EST
spice-0.12.2-1.fc18,spice-protocol-0.12.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/spice-0.12.2-1.fc18,spice-protocol-0.12.3-1.fc18
Comment 15 Fedora Update System 2012-12-20 20:32:45 EST
Package spice-0.12.2-1.fc18, spice-protocol-0.12.3-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing spice-0.12.2-1.fc18 spice-protocol-0.12.3-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20735/spice-0.12.2-1.fc18,spice-protocol-0.12.3-1.fc18
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2013-01-11 18:20:17 EST
spice-0.12.2-1.fc18, spice-protocol-0.12.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.